Bug 1129171 - SOLR: Type date should be converted into Timestamp
Summary: SOLR: Type date should be converted into Timestamp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 09:30 UTC by Filip Elias
Modified: 2016-02-10 08:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:50:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3077 Major Closed SOLR: Type date should be converted into Timestamp 2014-11-19 18:37:32 UTC

Description Filip Elias 2014-08-12 09:30:45 UTC
SOLR translator converts solr's date type into java.sql.Date but SOLR's date format is rather timestamp[1]. When the solr's date is converted into java.sql.Date, the information about hours,minutes and seconds will be lost.

[1] "TimestampValue": "1999-12-31T23:00:00Z",

Comment 1 JBoss JIRA Server 2014-08-13 13:51:42 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3077 to Resolved

Comment 2 JBoss JIRA Server 2014-11-19 18:37:34 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3077 to Closed


Note You need to log in before you can comment on or make changes to this bug.